Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util.el
Class ActionsMap

    java.lang.Object
      org.apache.myfaces.shared_orchestra.util.el.ActionsMap

All Implemented Interfaces:
  Map

    public abstract class ActionsMap

extends Object
implements Map

Version:
  $Revision: 355303 $ $Date: 2005-12-09 02:36:08 +0100 (Fr, 09 Dez 2005) $ You can use this class to trigger an action when a boolean is set to true. Example : in JSF pages, for dataTable, to remove elements : Backing bean (#{inboxFace}). public ActionsMap getRemoveEmailUnid(){ return new ActionsMap(){ public void performAction(String unid) { InboxMailDAO dao = getInboxMailDAO(); TInboxMail email = dao.getByPrimaryKey( unid ); dao.remove( email ); } }; } JSF page : <h:selectBooleanCheckbox value="#{inboxFace.removeEmailUnid[email.unid]}"/>
Author:
  Sylvain Vieujot (latest modification by $Author: skitching $)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`ActionsMap()`
`ActionsMap(Set keys)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set` | `entrySet()`
`Object` | `get(Object key)`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`abstract void` | `performAction(String command)` This method should fire the command.
`Boolean` | `put(String key, Boolean value)`
`void` | `putAll(Map map)`
`Object` | `remove(Object key)`
`int` | `size()`
`Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode, put`

Constructor Detail

### ActionsMap

    public ActionsMap()

### ActionsMap

    public ActionsMap(Set keys)

Method Detail

### performAction

    public abstract void performAction(String command)

  This method should fire the command.

### size

    public int size()

  Specified by:
    `size` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`

### put

    public Boolean put(String key,
                       Boolean value)

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`

### putAll

    public void putAll(Map map)

  Specified by:
    `putAll` in interface `Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.